"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryJoinGroupRequests = exports.listJoinGroupRequests = exports.rejectJoinGroupRequests = exports.approveJoinGroupRequests = void 0;
const ambassadorWixSocialGroupsV2JoinGroupRequest = __importStar(require("./social-groups-v2-join-group-request-join-group-requests.http.js"));
function approveJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.approveJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/{groupId}/join-requests/approve',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.approveJoinGroupRequests = approveJoinGroupRequests;
function rejectJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.rejectJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/{groupId}/join-requests/reject',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.rejectJoinGroupRequests = rejectJoinGroupRequests;
function listJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.listJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups/{groupId}/join-requests',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listJoinGroupRequests = listJoinGroupRequests;
function queryJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.queryJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/{groupId}/join-requests/query',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.queryJoinGroupRequests = queryJoinGroupRequests;
//# sourceMappingURL=social-groups-v2-join-group-request-join-group-requests.meta.js.map