"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.OwnershipFilter = exports.ItemsToUpdate = exports.ViolationType = exports.RequestStatus = void 0;
var RequestStatus;
(function (RequestStatus) {
    /** Pending group request. */
    RequestStatus["PENDING"] = "PENDING";
    /** Approved group request. */
    RequestStatus["APPROVED"] = "APPROVED";
    /** Rejected group request. */
    RequestStatus["REJECTED"] = "REJECTED";
    /** Canceled group request. */
    RequestStatus["CANCELED"] = "CANCELED";
})(RequestStatus || (exports.RequestStatus = RequestStatus = {}));
var ViolationType;
(function (ViolationType) {
    ViolationType["NONE"] = "NONE";
    ViolationType["NOT_LOGGED_IN"] = "NOT_LOGGED_IN";
    ViolationType["ALREADY_JOINED"] = "ALREADY_JOINED";
    ViolationType["SECRET_GROUP"] = "SECRET_GROUP";
    ViolationType["EVENTS"] = "EVENTS";
    ViolationType["PRICING_PlANS"] = "PRICING_PlANS";
    ViolationType["MEMBERSHIP_QUESTIONS"] = "MEMBERSHIP_QUESTIONS";
    ViolationType["ADMIN_APPROVAL"] = "ADMIN_APPROVAL";
})(ViolationType || (exports.ViolationType = ViolationType = {}));
var ItemsToUpdate;
(function (ItemsToUpdate) {
    /** Take into account only items which are listed in the request. */
    ItemsToUpdate["BY_ID"] = "BY_ID";
    /** Update all items. */
    ItemsToUpdate["ALL_ITEMS"] = "ALL_ITEMS";
})(ItemsToUpdate || (exports.ItemsToUpdate = ItemsToUpdate = {}));
var OwnershipFilter;
(function (OwnershipFilter) {
    /** All items. */
    OwnershipFilter["ALL"] = "ALL";
    /** Items for the current site member. */
    OwnershipFilter["CURRENT_MEMBER"] = "CURRENT_MEMBER";
})(OwnershipFilter || (exports.OwnershipFilter = OwnershipFilter = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder["ASC"] = "ASC";
    SortOrder["DESC"] = "DESC";
})(SortOrder || (exports.SortOrder = SortOrder = {}));
var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (exports.WebhookIdentityType = WebhookIdentityType = {}));
//# sourceMappingURL=social-groups-v2-join-group-request-join-group-requests.types.js.map