import * as ambassadorWixSocialGroupsV2JoinGroupRequest from './social-groups-v2-join-group-request-join-group-requests.http.js';
export function approveJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.approveJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/{groupId}/join-requests/approve',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function rejectJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.rejectJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/{groupId}/join-requests/reject',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function listJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.listJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v2/groups/{groupId}/join-requests',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function queryJoinGroupRequests() {
    const payload = { groupId: ':groupId' };
    const getRequestOptions = ambassadorWixSocialGroupsV2JoinGroupRequest.queryJoinGroupRequests(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v2/groups/{groupId}/join-requests/query',
        pathParams: { groupId: 'groupId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=social-groups-v2-join-group-request-join-group-requests.meta.js.map