"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.OwnershipFilter = exports.ItemsToUpdate = exports.ViolationType = exports.RequestStatus = exports.onJoinGroupRequestRejected = exports.onJoinGroupRequestCreated = exports.onJoinGroupRequestApproved = exports.queryJoinGroupRequests = exports.listJoinGroupRequests = exports.rejectJoinGroupRequests = exports.approveJoinGroupRequests = void 0;
const social_groups_v2_join_group_request_join_group_requests_public_js_1 = require("./social-groups-v2-join-group-request-join-group-requests.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const social_groups_v2_join_group_request_join_group_requests_public_js_2 = require("./social-groups-v2-join-group-request-join-group-requests.public.js");
const social_groups_v2_join_group_request_join_group_requests_public_js_3 = require("./social-groups-v2-join-group-request-join-group-requests.public.js");
const social_groups_v2_join_group_request_join_group_requests_public_js_4 = require("./social-groups-v2-join-group-request-join-group-requests.public.js");
exports.approveJoinGroupRequests = (0, rest_modules_1.createRESTModule)(social_groups_v2_join_group_request_join_group_requests_public_js_1.approveJoinGroupRequests);
exports.rejectJoinGroupRequests = (0, rest_modules_1.createRESTModule)(social_groups_v2_join_group_request_join_group_requests_public_js_1.rejectJoinGroupRequests);
exports.listJoinGroupRequests = (0, rest_modules_1.createRESTModule)(social_groups_v2_join_group_request_join_group_requests_public_js_1.listJoinGroupRequests);
exports.queryJoinGroupRequests = (0, rest_modules_1.createRESTModule)(social_groups_v2_join_group_request_join_group_requests_public_js_1.queryJoinGroupRequests);
/**
 * Triggered when a join group request is approved.
 */
exports.onJoinGroupRequestApproved = (0, event_definition_modules_1.createEventModule)(social_groups_v2_join_group_request_join_group_requests_public_js_2.onJoinGroupRequestApproved);
/** */
exports.onJoinGroupRequestCreated = (0, event_definition_modules_1.createEventModule)(social_groups_v2_join_group_request_join_group_requests_public_js_3.onJoinGroupRequestCreated);
/**
 * Triggered when a join group request is rejected.
 */
exports.onJoinGroupRequestRejected = (0, event_definition_modules_1.createEventModule)(social_groups_v2_join_group_request_join_group_requests_public_js_4.onJoinGroupRequestRejected);
var social_groups_v2_join_group_request_join_group_requests_universal_js_1 = require("./social-groups-v2-join-group-request-join-group-requests.universal.js");
Object.defineProperty(exports, "RequestStatus", { enumerable: true, get: function () { return social_groups_v2_join_group_request_join_group_requests_universal_js_1.RequestStatus; } });
Object.defineProperty(exports, "ViolationType", { enumerable: true, get: function () { return social_groups_v2_join_group_request_join_group_requests_universal_js_1.ViolationType; } });
Object.defineProperty(exports, "ItemsToUpdate", { enumerable: true, get: function () { return social_groups_v2_join_group_request_join_group_requests_universal_js_1.ItemsToUpdate; } });
Object.defineProperty(exports, "OwnershipFilter", { enumerable: true, get: function () { return social_groups_v2_join_group_request_join_group_requests_universal_js_1.OwnershipFilter; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return social_groups_v2_join_group_request_join_group_requests_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return social_groups_v2_join_group_request_join_group_requests_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=social-groups-v2-join-group-request-join-group-requests.context.js.map