import { approveJoinGroupRequests as publicApproveJoinGroupRequests, rejectJoinGroupRequests as publicRejectJoinGroupRequests, listJoinGroupRequests as publicListJoinGroupRequests, queryJoinGroupRequests as publicQueryJoinGroupRequests, } from './social-groups-v2-join-group-request-join-group-requests.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onJoinGroupRequestApproved as publicOnJoinGroupRequestApproved } from './social-groups-v2-join-group-request-join-group-requests.public.js';
import { onJoinGroupRequestCreated as publicOnJoinGroupRequestCreated } from './social-groups-v2-join-group-request-join-group-requests.public.js';
import { onJoinGroupRequestRejected as publicOnJoinGroupRequestRejected } from './social-groups-v2-join-group-request-join-group-requests.public.js';
export const approveJoinGroupRequests = /*#__PURE__*/ createRESTModule(publicApproveJoinGroupRequests);
export const rejectJoinGroupRequests = /*#__PURE__*/ createRESTModule(publicRejectJoinGroupRequests);
export const listJoinGroupRequests = /*#__PURE__*/ createRESTModule(publicListJoinGroupRequests);
export const queryJoinGroupRequests = /*#__PURE__*/ createRESTModule(publicQueryJoinGroupRequests);
/**
 * Triggered when a join group request is approved.
 */
export const onJoinGroupRequestApproved = createEventModule(publicOnJoinGroupRequestApproved);
/** */
export const onJoinGroupRequestCreated = createEventModule(publicOnJoinGroupRequestCreated);
/**
 * Triggered when a join group request is rejected.
 */
export const onJoinGroupRequestRejected = createEventModule(publicOnJoinGroupRequestRejected);
export { RequestStatus, ViolationType, ItemsToUpdate, OwnershipFilter, SortOrder, WebhookIdentityType, } from './social-groups-v2-join-group-request-join-group-requests.universal.js';
//# sourceMappingURL=social-groups-v2-join-group-request-join-group-requests.context.js.map